For Developers
List Source Integrations
GET https://ed.link/api/v2/teams/:team_id/sources/:source_id/integrations
Returns all downstream application integrations linked to this school data source.
Permissions
Requires the sources.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:source_id | UUID | Yes | The ID of the source. |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/sources/${source_id}/integrations`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": [
{
"id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"application_id": "4b7b2520-410a-4bf3-9118-2e11893c5289",
"source_id": "7b5a19cb-9ea8-4b71-9b16-564ec5ea0b12",
"status": "active"
}
]
}
